Package picard.util.IntervalList

## Class IntervalListScattererByBaseCount

- java.lang.Object
- - picard.util.IntervalList.IntervalListScattererByBaseCount

- All Implemented Interfaces:
    `IntervalListScatterer`
  Direct Known Subclasses:
    `IntervalListScattererWithoutSubdivision`, `IntervalListScattererWithSubdivision`

      public abstract class IntervalListScattererByBaseCount
      extends Object
      implements IntervalListScatterer

  a Baseclass for scatterers that scatter by uniqued base count.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntervalListScattererByBaseCount()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `deduceIdealSplitWeight​(htsjdk.samtools.util.IntervalList intervalList, int nCount)` | A method that determines the ideal target "weight" of the output IntervalList.
    `long` | `intervalWeight​(htsjdk.samtools.util.Interval interval)` | A method that defines the "weight" of an interval list for the purpose of scattering.
    `long` | `listWeight​(htsjdk.samtools.util.IntervalList intervalList)` | A method that defines the "weight" of an interval for the purpose of scattering.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface picard.util.IntervalList.IntervalListScatterer

      `preprocessIntervalList, scatter, takeSome`

- - ### Constructor Detail

    - #### IntervalListScattererByBaseCount

          public IntervalListScattererByBaseCount()

  - ### Method Detail

    - #### intervalWeight

          public long intervalWeight​(htsjdk.samtools.util.Interval interval)

      Description copied from interface: `IntervalListScatterer`
      A method that defines the "weight" of an interval list for the purpose of scattering. The class will attempt to create sublists that all have similar weights.
      Specified by:
        `intervalWeight` in interface `IntervalListScatterer`

    - #### listWeight

          public long listWeight​(htsjdk.samtools.util.IntervalList intervalList)

      Description copied from interface: `IntervalListScatterer`
      A method that defines the "weight" of an interval for the purpose of scattering. The class will attempt to create sublists that all have similar weights. This method need to estimate the change in any sublists weight due to the possible of the provided interval.
      Specified by:
        `listWeight` in interface `IntervalListScatterer`

    - #### deduceIdealSplitWeight

          public int deduceIdealSplitWeight​(htsjdk.samtools.util.IntervalList intervalList,
                                            int nCount)

      Description copied from interface: `IntervalListScatterer`
      A method that determines the ideal target "weight" of the output IntervalList.
      Specified by:
        `deduceIdealSplitWeight` in interface `IntervalListScatterer`
      Parameters:
        `intervalList` - the `IntervalList` that is about to get split
        `nCount` - the scatter count into which to split intervalList
      Returns:
        The ideal "weight" of the output `IntervalList`'s